import request from '@/utils/request'

// 查询cmc设备报废列表
export function listDeviceScrap(query) {
  return request({
    url: '/oa/deviceScrap/list',
    method: 'get',
    params: query
  })
}

// 查询cmc设备报废详细
export function getDeviceScrap(deviceScrapId) {
  return request({
    url: '/oa/deviceScrap/' + deviceScrapId,
    method: 'get'
  })
}

// 新增cmc设备报废
export function addDeviceScrap(data) {
  return request({
    url: '/oa/deviceScrap',
    method: 'post',
    data: data
  })
}

// 修改cmc设备报废
export function updateDeviceScrap(data) {
  return request({
    url: '/oa/deviceScrap',
    method: 'put',
    data: data
  })
}

// 删除cmc设备报废
export function delDeviceScrap(deviceScrapId) {
  return request({
    url: '/oa/deviceScrap/' + deviceScrapId,
    method: 'delete'
  })
}
